Subject: Re: [PATCH 12/30] net: wireless: cisco: airo: Fix a myriad of coding style issues

From: Lee Jones <[email-masked]>
Date: Mon, 17 Aug 2020 21:04:32 +0100

On Mon, 17 Aug 2020, Jesse Brandeburg wrote:

> On Mon, 17 Aug 2020 16:27:01 +0300
> Kalle Valo <[email-masked]> wrote:
> 
> > I was surprised to see that someone was using this driver in 2015, so
> > I'm not sure anymore what to do. Of course we could still just remove
> > it and later revert if someone steps up and claims the driver is still
> > usable. Hmm. Does anyone any users of this driver?
> 
> What about moving the driver over into staging, which is generally the
> way I understood to move a driver slowly out of the kernel?

I always thought Staging was used for *incoming* drivers?

Either way, Staging is on my hit list.  It's actually next after Net.

Is there a Kconfig symbol that can be used to not include it in the
standard builds?  I'm aware of BROKEN.  Is there anything more
suitable for a deprecated driver (I don't see a DEPRECATED symbol).

-- 
Lee Jones [李琼斯]
Senior Technical Lead - Developer Services
Linaro.org │ Open source software for Arm SoCs
Follow Linaro: Facebook | Twitter | Blog